From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1646941-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (unknown [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id D1B3D1580CF
	for <garchives@archives.gentoo.org>; Wed, 26 Jun 2024 09:05:42 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 9B2022BC0E8;
	Wed, 26 Jun 2024 09:05:39 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [140.211.166.183])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 88B3C2BC0EA
	for <gentoo-commits@lists.gentoo.org>; Wed, 26 Jun 2024 09:05:38 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id A314D33BF29
	for <gentoo-commits@lists.gentoo.org>; Wed, 26 Jun 2024 09:05:37 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id E7A431D57
	for <gentoo-commits@lists.gentoo.org>; Wed, 26 Jun 2024 09:05:34 +0000 (UTC)
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Sam James" <sam@gentoo.org>
Message-ID: <1719392630.050f75a4ee9c22ef3f32193c94cafa7c1781429e.sam@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/doit/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-python/doit/doit-0.36.0-r2.ebuild
X-VCS-Directories: dev-python/doit/
X-VCS-Committer: sam
X-VCS-Committer-Name: Sam James
X-VCS-Revision: 050f75a4ee9c22ef3f32193c94cafa7c1781429e
X-VCS-Branch: master
Date: Wed, 26 Jun 2024 09:05:34 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 27b16fb1-7c3c-40ba-97fd-cc5b163298e2
X-Archives-Hash: b2e72ae9b4c9684affd7b2b0a96ce973

commit:     050f75a4ee9c22ef3f32193c94cafa7c1781429e
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Wed Jun 26 04:05:48 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 26 09:03:50 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=050f75a4

dev-python/doit: conditionalize tomli/tomlkit imports after stdlib tomllib

This project attempts to support every kitchen sink when it comes to
loading a toml file. And since 0.36.0 it also supports the
dev-python/tomli library:

https://github.com/pydoit/doit/commit/b2ed5ba798622d9ac1d2b50de81a4eb24e02f844

This was added by mgorny! :) It also supported tomllib at the same time.
But when someone else packaged it in commit 0e5347e6b3e6d2ac0af7777dfb010368a78dcd06
this was overlooked. Drop the dependency on 3.11+.

Fixes: 0e5347e6b3e6d2ac0af7777dfb010368a78dcd06
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/doit/doit-0.36.0-r2.ebuild | 70 +++++++++++++++++++++++++++++++++++
 1 file changed, 70 insertions(+)

diff --git a/dev-python/doit/doit-0.36.0-r2.ebuild b/dev-python/doit/doit-0.36.0-r2.ebuild
new file mode 100644
index 000000000000..37fc353b936c
--- /dev/null
+++ b/dev-python/doit/doit-0.36.0-r2.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit bash-completion-r1 distutils-r1 pypi
+
+DESCRIPTION="Automation tool"
+HOMEPAGE="
+	https://pydoit.org/
+	https://github.com/pydoit/doit/
+	https://pypi.org/project/doit/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+	dev-python/cloudpickle[${PYTHON_USEDEP}]
+	dev-python/pyinotify[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep '
+		|| (
+			dev-python/tomli[${PYTHON_USEDEP}]
+			dev-python/tomlkit[${PYTHON_USEDEP}]
+		)
+	' 3.10)
+"
+PDEPEND="
+	>=dev-python/doit-py-0.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${PDEPEND}
+		$(python_gen_impl_dep sqlite)
+		dev-python/pyflakes[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc \
+	dev-python/sphinx-rtd-theme
+
+EPYTEST_DESELECT=(
+	# test failing due to impact on PATH run in a sandbox
+	tests/test_cmd_strace.py::TestCmdStrace::test_dep # #836164
+	tests/test_cmd_strace.py::TestCmdStrace::test_target
+)
+
+src_prepare() {
+	# Replace custom theme with builtin for documentation
+	sed -e '/html_theme/s/press/sphinx_rtd_theme/' -i doc/conf.py || die
+	# Remove non-exist modules for doc generation (#832754)
+	sed \
+		-e '/sphinx_sitemap/d' \
+		-e '/sphinx_reredirects/d' \
+		-i doc/conf.py || die
+
+	distutils-r1_src_prepare
+}
+
+src_install() {
+	distutils-r1_src_install
+	newbashcomp bash_completion_doit ${PN}
+	insinto /usr/share/zsh/site-functions
+	newins zsh_completion_doit _${PN}
+}